

.btn-calculate {
	cursor: pointer;
	display: inline-block;
	text-transform: uppercase;
	font-size: 1rem;
	font-weight: 700;
	letter-spacing: .1rem;
	text-align: center;
	color: #fafbfc;
	background: #39b54a;
	border: none;
	white-space: nowrap;
	border-radius: 4px;
	text-shadow: 0 -1px 0 rgba(0, 0, 0, 0.1);
	vertical-align: top;
	min-width: 24rem;
	max-width: 100%;
	padding: 0;
	height: 3.6rem;
	line-height: 3.6rem
}

.btn-calculate:hover {
	text-decoration: none;
	background: #262524;
	color: #fafbfc;
	border: none;
	outline: 0
}


.input-calculate {
	-webkit-appearance: none;
	-moz-appearance: none;
	appearance: none;
	background: #fff;
	border: solid #d3d3d3 1px;
	border-radius: 4px;
	display: inline-block;
	vertical-align: top;
	padding: .5rem .75rem;
	width: 100%;
	max-width: 30rem;
	height: 3.6rem
}

.input-calculate:focus {
	border: solid #39b54a 1px;
	outline: 0
}

.select-calculate {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    background: #fff;
    border: solid #d3d3d3 1px;
    border-radius: 4px;
    display: inline-block;
    vertical-align: top;
    padding: .5rem .75rem;
    width: 100%;
    max-width: 30rem;
    height: 3.6rem
}

.select-calculate {
	border: none;
	outline: 1px solid #d3d3d3;
	outline-offset: -1px;
	border-radius: 4px;
	background-image: url('data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABcAAAAPAQMAAAA1YcYVAAAAGXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAyJpVFh0WE1MOmNvbS5hZG9iZS54bXAAAAAAADw/eHBhY2tldCBiZWdpbj0i77u/IiBpZD0iVzVNME1wQ2VoaUh6cmVTek5UY3prYzlkIj8+IDx4OnhtcG1ldGEgeG1sbnM6eD0iYWRvYmU6bnM6bWV0YS8iIHg6eG1wdGs9IkFkb2JlIFhNUCBDb3JlIDUuMC1jMDYwIDYxLjEzNDc3NywgMjAxMC8wMi8xMi0xNzozMjowMCAgICAgICAgIj4gPHJkZjpSREYgeG1sbnM6cmRmPSJodHRwOi8vd3d3LnczLm9yZy8xOTk5LzAyLzIyLXJkZi1zeW50YXgtbnMjIj4gPHJkZjpEZXNjcmlwdGlvbiByZGY6YWJvdXQ9IiIgeG1sbnM6eG1wPSJodHRwOi8vbnMuYWRvYmUuY29tL3hhcC8xLjAvIiB4bWxuczp4bXBNTT0iaHR0cDovL25zLmFkb2JlLmNvbS94YXAvMS4wL21tLyIgeG1sbnM6c3RSZWY9Imh0dHA6Ly9ucy5hZG9iZS5jb20veGFwLzEuMC9zVHlwZS9SZXNvdXJjZVJlZiMiIHhtcDpDcmVhdG9yVG9vbD0iQWRvYmUgUGhvdG9zaG9wIENTNSBNYWNpbnRvc2giIHhtcE1NOkluc3RhbmNlSUQ9InhtcC5paWQ6NkUxNzU1QTlBNzZDMTFFNUFFODhCOENCNDg0MUFBMjUiIHhtcE1NOkRvY3VtZW50SUQ9InhtcC5kaWQ6NkUxNzU1QUFBNzZDMTFFNUFFODhCOENCNDg0MUFBMjUiPiA8eG1wTU06RGVyaXZlZEZyb20gc3RSZWY6aW5zdGFuY2VJRD0ieG1wLmlpZDo2RTE3NTVBN0E3NkMxMUU1QUU4OEI4Q0I0ODQxQUEyNSIgc3RSZWY6ZG9jdW1lbnRJRD0ieG1wLmRpZDo2RTE3NTVBOEE3NkMxMUU1QUU4OEI4Q0I0ODQxQUEyNSIvPiA8L3JkZjpEZXNjcmlwdGlvbj4gPC9yZGY6UkRGPiA8L3g6eG1wbWV0YT4gPD94cGFja2V0IGVuZD0iciI/PszxATYAAAAGUExURczMzMzMzL4bSpkAAAABdFJOUwBA5thmAAAAPElEQVQI12MQYBBgsADCGiD8B4T1jH8Y7Jt/MMgf/8DA//4BA/v/AwzM/xsYGP8zMAClGYDKGIDKGYDaABK9EHmI0q4WAAAAAElFTkSuQmCC');
	background-repeat: no-repeat;
	background-size: 12px 8px;
	background-position: right 8px top 50%
}

.select-calculate:focus {
	border: none;
	outline: solid #39b54a 1px;
	outline-offset: -1px;
	border-radius: 0
}

section[role="main-body"] {
	margin: 0 auto;
	overflow: auto
}

section[role="main-body"] p.intro {
	padding: 0 25px;
	margin: 0 auto 10px auto;
	text-align: justify
}

@media all and (min-width: 480px) {
	section[role="main-body"] p.intro {
		text-align: left
	}
}

section[role="main-body"] dl {
	width: 290px;
	margin: 0 auto;
	padding: 0
}

section[role="main-body"] dl dt {
	clear: both;
	border-bottom: dotted #39b54a 1px;
	line-height: 30px;
	padding: 5px 0 0 0
}

section[role="main-body"] dl dt i {
	color: #39b54a
}

section[role="main-body"] dl dd {
	float: left;
	overflow: auto
}

section[role="main-body"] dl dd span {
	display: block;
	float: left;
	padding: 0 5px 0 0
}

section[role="main-body"] dl dd span label {
	font-size: 80%;
	line-height: 20px;
	display: block;
	padding: .5rem 0 0 0
}

section[role="main-body"] dl dd p {
	line-height: 20px;
	margin: 0;
	padding: 5px 0 5px 0;
	font-size: 80%;
	white-space: nowrap;
	overflow: hidden;
	width: 95px;
	visibility: hidden
}

section[role="main-body"] dl dd input[type="button"],
section[role="main-body"] dl dd button {
	width: 95px;
	min-width: 0;
	padding: 0;
	display: block;
	float: left
}

section[role="main-body"] dl dd.time-input span,
section[role="main-body"] dl dd.pace-input span,
section[role="main-body"] dl dd.distance-input span {
	width: 65px
}

section[role="main-body"] dl dd.distance-input span:nth-child(1) {
	width: 65px
}

section[role="main-body"] dl dd.distance-input span:nth-child(2) {
	width: 130px
}

section[role="main-body"] dl dd.distance-input div.separator-or {
	clear: both;
	font-size: 75%;
	text-transform: uppercase;
	letter-spacing: .15rem;
	padding: 0 0 .25rem 0
}

section[role="main-body"] dl dd.distance-input div.event-input {
	margin: 0 .5rem 0 0
}

@media all and (min-width: 480px) {
	section[role="main-body"] dl {
		font-size: 1.5rem;
		width: 420px
	}

	section[role="main-body"] dl dd p,
	section[role="main-body"] dl dd input[type="button"],
	section[role="main-body"] dl dd button {
		width: 195px
	}

	section[role="main-body"] dl dd button:before {
		content: 'calculate '
	}

	section[role="main-body"] dl dd.time-input span,
	section[role="main-body"] dl dd.pace-input span,
	section[role="main-body"] dl dd.distance-input span {
		width: 75px
	}

	section[role="main-body"] dl dd.distance-input span:nth-child(1) {
		width: 75px
	}

	section[role="main-body"] dl dd.distance-input span:nth-child(2) {
		width: 150px
	}
}

#modal-window {
	position: fixed;
	top: 200%;
	left: 0;
	width: 100%;
	height: 100%;
	background-color: rgba(0, 0, 0, 0)
}

#modal-window.open {
	top: 0;
	background-color: rgba(0, 0, 0, 0.35)
}

#modal-window div[class^="modal"] {
	background: #fafbfc;
	width: 280px;
	margin: 0 auto;
	padding: 3.6rem;
	position: relative;
	top: 50%;
	-webkit-transform: translateY(-50%);
	-ms-transform: translateY(-50%);
	transform: translateY(-50%);
	box-shadow: 0 0 0 1px rgba(0, 0, 0, 0.2), 0 0 0 4px rgba(0, 0, 0, 0.1)
}

#modal-window div[class^="modal"] #modal-error {
	color: #333333;
	margin: 0 0 2rem 0 !important
}

#modal-window div[class^="modal"] dl {
	margin: 0 0 1.8rem 0
}

#modal-window div[class^="modal"] dl dt {
	border-bottom: dotted #39b54a 1px
}

#modal-window div[class^="modal"] dl dt dfn {
	text-transform: uppercase;
	font-size: 80%;
	font-weight: 400;
	color: #a0a0a0
}

#modal-window div[class^="modal"] dl dd {
	font-size: 190%;
	font-weight: 100;
	letter-spacing: -0.05rem;
	color: #262524;
	text-align: right
}

#modal-window div[class^="modal"] p {
	margin: 0
}

#modal-window div[class^="modal"] p button {
	width: 100%;
	min-width: auto;
	margin: 0
}